[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.Close

Close the dataset

## Declaration

Source position: db.pas line 1679

`public procedure TDataSet.Close;`

## Description

Close closes the dataset if it is open (Active=True). This action triggers the TDataset.BeforeClose and TDataset.AfterClose events. If the dataset is not active, nothing happens.

## Errors

If an exception occurs during the closing of the dataset, the AfterClose event will not be triggered.

## See also

TDataset.Active |  | Is the dataset open or closed.
TDataset.Open |  | Activate the dataset: Fetch data into memory.